Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.design
Class JRDesignTimePeriodSeries

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseTimePeriodSeries
          net.sf.jasperreports.charts.design.JRDesignTimePeriodSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRTimePeriodSeries, JRChangeEventsSupport, JRCloneable

    public class JRDesignTimePeriodSeries

extends JRBaseTimePeriodSeries
implements JRChangeEventsSupport

Version:
  $Id: JRDesignTimePeriodSeries.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_END_DATE_EXPRESSION`
`static java.lang.String` | `PROPERTY_ITEM_HYPERLINK`
`static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
`static java.lang.String` | `PROPERTY_SERIES_EXPRESSION`
`static java.lang.String` | `PROPERTY_START_DATE_EXPRESSION`
`static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

Fields inherited from class net.sf.jasperreports.charts.base.JRBaseTimePeriodSeries
`endDateExpression, itemHyperlink, labelExpression, seriesExpression, startDateExpression, valueExpression`

Constructor Summary
`JRDesignTimePeriodSeries()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setEndDateExpression(JRExpression endDateExpression)`
`void` | `setItemHyperlink(JRHyperlink itemHyperlink)` Sets the hyperlink specification for chart items.
`void` | `setLabelExpression(JRExpression labelExpression)`
`void` | `setSeriesExpression(JRExpression seriesExpression)`
`void` | `setStartDateExpression(JRExpression startDateExpression)`
`void` | `setValueExpression(JRExpression valueExpression)`

Methods inherited from class net.sf.jasperreports.charts.base.JRBaseTimePeriodSeries
`clone, getEndDateExpression, getItemHyperlink, getLabelExpression, getSeriesExpression, getStartDateExpression, getValueExpression`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_END_DATE_EXPRESSION

    public static final java.lang.String PROPERTY_END_DATE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_ITEM_HYPERLINK

    public static final java.lang.String PROPERTY_ITEM_HYPERLINK

See Also:
  Constant Field Values

### PROPERTY_LABEL_EXPRESSION

    public static final java.lang.String PROPERTY_LABEL_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_SERIES_EXPRESSION

    public static final java.lang.String PROPERTY_SERIES_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_START_DATE_EXPRESSION

    public static final java.lang.String PROPERTY_START_DATE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_VALUE_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignTimePeriodSeries

    public JRDesignTimePeriodSeries()

Method Detail

### setSeriesExpression

    public void setSeriesExpression(JRExpression seriesExpression)

### setStartDateExpression

    public void setStartDateExpression(JRExpression startDateExpression)

### setEndDateExpression

    public void setEndDateExpression(JRExpression endDateExpression)

### setValueExpression

    public void setValueExpression(JRExpression valueExpression)

### setLabelExpression

    public void setLabelExpression(JRExpression labelExpression)

### setItemHyperlink

    public void setItemHyperlink(JRHyperlink itemHyperlink)

  Sets the hyperlink specification for chart items.

  Parameters:
    `itemHyperlink` - the hyperlink specification
  See Also:
    `JRBaseTimePeriodSeries.getItemHyperlink()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com